<?php
if (strstr($HTTP_SERVER_VARS["PHP_SELF"], "/modules/"))  die ("You can't access this file directly...");
//if this module is enabled, this will tell phpwebthings that we are here
$modules["downloads"]=true;
include_once( "modules/downloads/lang/msg_".check_lang($cfg["core"]["lang"]).".php" );
$config["menu"][60] = array( "title"=>$lang["DOWNLOAD_TITLE"], "file"=>"download.php", "type"=>"A", "newwindow"=>"N" );

$config["admmenu"]["downloads_cat"] = array( "title"=>$lang["DOWNLOAD_TITLECAT"], "file"=>"adm_downloadscat.php", "class"=>"downloads" );
$config["admmenu"]["downloads_add"] = array( "title"=>$lang["DOWNLOAD_ADDDOWNLOAD"], "file"=>"add_download.php", "class"=>"downloads" );
$config["admmenu"]["downloads"] = array( "title"=>$lang["DOWNLOAD_TITLE"], "file"=>"adm_downloads.php", "class"=>"downloads" );
$config["admmenu"]["downloads_pending"] = array( "title"=>$lang["DOWNLOAD_PENDING"], "file"=>"adm_downloadspend.php", "class"=>"downloads" );

$config["fileman"]["downloads"] = array( "name"=>"Downloads", "folder"=>"/modules/downloads/images/" );

$config["stylecss"]["downloads"] = true;

if( !isset($cfg["downloads"]["dir"]) ) $cfg["downloads"]["dir"] = "/files/";
if( !isset($cfg["downloads"]["rating"]) ) $cfg["downloads"]["rating"] = true;
if( !isset($cfg["downloads"]["useradd"]) ) $cfg["downloads"]["useradd"] = false;
$cfg["downloads"]["version"] = "1.0";
?>
